classification
Title: Associate .wasm with application/wasm
Type: enhancement Stage: resolved
Components: IO Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder: http.server module sets incorrect mimetype for WebAssembly files
View: 34758
Assigned To: Nosy List: flagxor, r.david.murray, runpiw, serhiy.storchaka, xtreak
Priority: normal Keywords: patch

Created on 2017-10-03 06:22 by flagxor, last changed 2019-10-24 08:49 by xtreak. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3861 closed flagxor, 2017-10-03 06:41
Messages (8)
msg303578 - (view) Author: Brad Nelson (flagxor) * Date: 2017-10-03 06:22
WebAssembly is tentatively spec'ed to require the application/wasm mime type for download sources:
https://github.com/WebAssembly/design/blob/master/Web.md

The mimetype module should associate .wasm with this mimetype to allow users of SimpleHTTPServer etc. to be able to easily use WebAssembly.
msg303634 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-10-03 18:11
We generally wait for something a bit stronger than "tentatively" before adding a mime type (ie: an actual submission to the relevant standards channel).
msg303658 - (view) Author: Brad Nelson (flagxor) * Date: 2017-10-03 22:53
Tentative might be an understatement.
There was 4 browser sign-off on using that mime type within the WebAssembly CG, which has drafted the spec so far.
We're in the process of handing v1 of the spec off to the WebAssembly Working Group on our way to a good and proper W3C REC.
However, use of the mime type is already shipping in Chrome and I believe on the way with other browsers (and just got added to our shared toolchain).

That said we should get a proper allocation with IANA.
I've added an agenda item to our next Working Group meeting to have the group explicitly empower me to approach IANA:
https://github.com/WebAssembly/meetings/blob/master/2017/WG-10-23.md

Be back in month with a IANA request email to reference.

Assuming we've sorted out a proper allocation, do you have a sense of if getting the file type into python2.7 is likely?

Thanks!
msg303660 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-10-03 23:12
Yes, updates of the mimetype database usually are backported to 2.7.
msg303661 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-10-03 23:20
Yes, if/when it goes in it will go in to all currently maintained versions.  I've adjusted 'versions' accordingly.
msg316379 - (view) Author: Brad Nelson (flagxor) * Date: 2018-05-10 21:27
We have a provisional registration for application/wasm now with IANA:
https://www.iana.org/assignments/provisional-standard-media-types/provisional-standard-media-types.xhtml

This is also shipping in Firefox and Chrome.

Would it be possible to merge this?

Thanks!
msg329449 - (view) Author: Runping Wang (runpiw) Date: 2018-11-07 23:18
We're also depending on this MIME type for WebAssembly. It will be great if we can get this wasm MIME type in.
msg338738 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-03-24 16:02
Seems this was fixed with https://github.com/python/cpython/commit/199a280af540e3194405eb250ca1a8d487f6a4f7 . Thanks @flagxor for details in https://github.com/python/cpython/pull/3861#issuecomment-475904041 . I would propose closing this as fixed since issue34758 has PR merged and backport requests to other versions could possibly reopen issue34758?
History
Date User Action Args
2019-10-24 08:49:33xtreaksetstatus: open -> closed
superseder: http.server module sets incorrect mimetype for WebAssembly files
stage: patch review -> resolved
resolution: fixed
versions: - Python 2.7, Python 3.7
2019-03-24 16:02:54xtreaksetnosy: + xtreak
messages: + msg338738
2018-11-07 23:18:52runpiwsetnosy: + runpiw
messages: + msg329449
2018-05-10 21:27:50flagxorsetmessages: + msg316379
2017-10-03 23:20:18r.david.murraysetmessages: + msg303661
versions: - Python 3.4, Python 3.5, Python 3.6
2017-10-03 23:12:25serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg303660
2017-10-03 22:53:06flagxorsetmessages: + msg303658
2017-10-03 18:11:25r.david.murraysetnosy: + r.david.murray
messages: + msg303634
2017-10-03 06:41:46flagxorsetkeywords: + patch
stage: patch review
pull_requests: + pull_request3841
2017-10-03 06:22:26flagxorcreate